import { _decorator, Asset, assetManager, Component, instantiate, Node, Prefab } from 'cc';
import { WebZipLoader } from './WebZipLoader';
const { ccclass, property } = _decorator;

@ccclass('main')
export class main extends Component {
    start() {

    }

    update(deltaTime: number) {

    }

    async click() {
        let version = '12638';
        await WebZipLoader.instance.downloadZip(`http://192.168.0.108/hall/resources/web/testBundle.${version}.zip`);
        console.log('ZIP下载及缓存完成');
        assetManager.loadBundle('testBundle', { version: version }, (err, bundle) => {
            // assetManager.loadBundle('testBundle', (err, bundle) => {
            if (!err) {
                console.error('-----------loadHallBundleSuccess--------------')


                bundle.load('Node', Prefab, (err, data) => {
                    if (!err) {

                        let node = instantiate(data);
                        this.node.addChild(node);

                        return;
                    }

                    console.warn('加载Node失败')
                })


                // bundle.preloadDir(`./`, Asset, (finish: number, total: number) => {
                //     let now = (finish / total) * 0.8;
                // }, (error: Error, res) => {
                //     if (!error) {
                //         try {
                //             console.error('preloadhallDir成功')
                //             bundle.load('Node', Prefab, (err, data) => {
                //                 if (!err) {

                //                     let node = instantiate(data);
                //                     this.node.addChild(node);

                //                     return;
                //                 }

                //                 console.warn('加载Node失败')
                //             })
                //         } catch (catcherror) {
                //             console.error('----------catcherror-------', catcherror, res)
                //             console.warn('try加载halldir失败')
                //         }
                //     } else {
                //         console.warn('加载halldir失败')
                //     }
                // })
            } else {
                console.error('-----------loadHallBundleError--------------')
            }
        })


    }
}


